Main Page Widgets Namespaces Book

# Glib::ValueBase_Flags Class Reference
[Generic Values]

Inheritance diagram for Glib::ValueBase_Flags:

[legend]
List of all members.

## Public Types

typedef guint | CType

## Static Public Member Functions

GType | value_type () G_GNUC_CONST

## Protected Member Functions

void | set_flags (unsigned int data)
unsigned int | get_flags () const

## Member Typedef Documentation

typedef guint Glib::ValueBase_Flags::CType

## Member Function Documentation

unsigned int Glib::ValueBase_Flags::get_flags | ( |  | ) | const`[protected]`

void Glib::ValueBase_Flags::set_flags | ( | unsigned int | data | ) | `[protected]`

GType Glib::ValueBase_Flags::value_type | ( |  | ) | `[static]`

The documentation for this class was generated from the following file:

- value.h